import request from '@/utils/request'

// 获取某个时间点的库存情况
export function stockStatistics(params) {
  return request({
    url: '/storage/GetStorageDetailDate',
    method: 'Get',
    params
  })
}

// 个人某个时间点的库存情况
export function stockPersonal(params) {
  return request({
    url: '/storage/GetUserStorageDateDetail',
    method: 'Get',
    params
  })
}

// 某个时间段出库汇总
export function outStock(params) {
  return request({
    url: '/storage/StorageOutStatistical',
    method: 'Get',
    params
  })
}
// 某个时间段入库汇总
export function putStock(params) {
  return request({
    url: '/storage/StoragePutStatistical',
    method: 'Get',
    params
  })
}
// 某个时间段个人出入库汇总
export function ExportOutPutRecord(params) {
  return request({
    url: '/storage/ExportOutPutRecord',
    method: 'Get',
    params
  })
}
// 折线统计图
export function stockeStatistical(params) {
  return request({
    url: '/storage/StorageStatistical',
    method: 'Get',
    params
  })
}
